moeoObjectiveObjectiveVectorComparator(3)

NAME
moeoObjectiveObjectiveVectorComparator - Functor allowing to compare two objective vectors according to their first objective value, then their second, and so on.

SYNOPSIS

#include <moeoObjectiveObjectiveVectorComparator.h>

Inherits moeoObjectiveVectorComparator< ObjectiveVector >< ObjectiveVector >.

  Public Member Functions
const bool operator() (const ObjectiveVector &_objectiveVector1, const ObjectiveVector &_objectiveVector2)
Returns true if _objectiveVector1 < _objectiveVector2 on the first objective, then on the second, and so on.

Detailed Description

  template<class ObjectiveVector> class moeoObjectiveObjectiveVectorComparator< ObjectiveVector >
Functor allowing to compare two objective vectors according to their first objective value, then their second, and so on.

Definition at line 22 of file moeoObjectiveObjectiveVectorComparator.h.

Member Function Documentation

  template<class ObjectiveVector> const bool moeoObjectiveObjectiveVectorComparator< ObjectiveVector >::operator() (const ObjectiveVector & _objectiveVector1, const ObjectiveVector & _objectiveVector2) [inline]

Returns true if _objectiveVector1 < _objectiveVector2 on the first objective, then on the second, and so on.

Parameters:
    _objectiveVector1 the first objective vector
    _objectiveVector2 the second objective vector

Definition at line 31 of file moeoObjectiveObjectiveVectorComparator.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.